summaryrefslogtreecommitdiff
path: root/tests/max-count-overread
diff options
context:
space:
mode:
Diffstat (limited to 'tests/max-count-overread')
-rwxr-xr-xtests/max-count-overread15
1 files changed, 15 insertions, 0 deletions
diff --git a/tests/max-count-overread b/tests/max-count-overread
new file mode 100755
index 0000000..d7aafd6
--- /dev/null
+++ b/tests/max-count-overread
@@ -0,0 +1,15 @@
+#!/bin/sh
+# Ensure that -m1 stops reading after the first match.
+# In grep-2.19, yes x|grep -m1 x would infloop.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+require_timeout_
+
+fail=0
+
+echo x > exp || framework_failure_
+
+yes x | timeout 3 grep -m1 x > out || fail=1
+compare exp out || fail=1
+
+Exit $fail